---
title: delete-organization-directory-sync-group-configuration
product: vercel
url: /docs/rest-api/sdk/organizations/delete-organization-directory-sync-group-configuration
canonical_url: "https://vercel.com/docs/rest-api/sdk/organizations/delete-organization-directory-sync-group-configuration"
last_updated: 2026-11-19
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about delete-organization-directory-sync-group-configuration on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
search_with_vercel_cli: npx vercel@latest docs search "<query>"
---

# Delete Organization Directory Sync Group Configuration

```http
DELETE /v1/organizations/{organizationId}/dsync/groups/{groupId}
```

Delete one organization's Directory Sync group configuration. The last group granting OrgAdmin cannot be removed.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `organizationId` | string | Yes |  |
| `groupId` | string | Yes |  |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `If-Match` | string. pattern: `^"\d+"$` | No |  |


## Example request

```typescript
import { Vercel } from "@vercel/sdk";

const vercel = new Vercel({
  bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  await vercel.organizations.deleteOrganizationDsyncGroup({
    organizationId: "<id>",
    groupId: "<id>",
    teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
    slug: "my-team-url-slug",
  });


}

run();
```

## Responses

### 204: No description

### 400: One of the provided values in the request query is invalid.
One of the provided values in the headers is invalid

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

### 410: No description

### 412: No description

### 428: No description

---

## Related

- [organizations endpoints](/docs/rest-api#organizations)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://vercel.com/openapi.json) (machine-readable, all endpoints)

## Search the docs from your terminal

Search the Vercel docs and read pages as Markdown with the Vercel CLI. No login required.

```bash
# Find docs pages by keyword
npx vercel@latest docs search "environment variables"
npx vercel@latest docs search "function timeout"

# Print a docs page as Markdown, by path or URL
npx vercel@latest docs inspect <page>
```

---

[View full sitemap](/docs/sitemap)


If you encounter incorrect information, can’t find what you need, need a capability Vercel doesn’t currently offer, or have any other feedback to report, please do it by following the instructions at https://vercel.com/feedback.md.
